#
# Please do not update/rebuild/touch this package before asking first to mikala and/or neoclust
# This package is part of the KDE Stack.
#

%define rel 1

Name: libkvkontakte
Summary:  Library for asynchronous interaction with vkontakte social network 
Version: 15.08.0
Release: %mkrel %{rel}
Group: Graphical desktop/KDE
License: GPLv2
URL: https://projects.kde.org/projects/kde/kdegraphics/libs/libkvkontakte
Source: http://download.kde.org/stable/applications/%{version}/src/%name.tar.bz2

BuildRequires: kf5-macros
BuildRequires: ki18n-devel
BuildRequires: kio-devel
BuildRequires: kdewebkit-devel
BuildRequires: kcoreaddons-devel
BuildRequires: kdelibs4support-devel

BuildRequires: pkgconfig(Qt5Core)
BuildRequires: pkgconfig(Qt5Widgets)
BuildRequires: pkgconfig(Qt5Test)
BuildRequires: pkgconfig(Qt5WebKit)
BuildRequires: pkgconfig(Qt5Gui)
BuildRequires: pkgconfig(Qt5Xml)
BuildRequires: pkgconfig(Qt5Concurrent)
BuildRequires: pkgconfig(Qt5Network)
BuildRequires: pkgconfig(Qt5Widgets)

# Branch Patch (100-200)

%description
KDE C++ library for asynchronous interaction with vkontakte.ru social
network via its open API.

#------------------------------------------------------------------------------

%define kvkontakte_major 2
%define libkvkontakte %mklibname kf5vkontakte %kvkontakte_major

%package -n %libkvkontakte
Summary: Library for asynchronous interaction with vkontakte social network 
Group: System/Libraries

%description -n %libkvkontakte
KDE C++ library for asynchronous interaction with vkontakte.ru social
network via its open API.

%files -n %libkvkontakte
%_kf5_libdir/libKF5Vkontakte.so.%{kvkontakte_major}*
%_kf5_libdir/libKF5Vkontakte.so.4*

#------------------------------------------------------------------------------

%define libkvkontakte_devel %mklibname kf5vkontakte -d

%package -n %libkvkontakte_devel
Summary: Devel stuff for %{name}
Group: Development/KDE and Qt
Requires: %libkvkontakte = %version-%release
Provides: %name-devel = %version-%release
Conflicts: %name-devel < 15.08.0

%description -n %libkvkontakte_devel
KDE C++ library for asynchronous interaction with vkontakte.ru social
network via its open API.

This package contains header files needed if you wish to build applications
based on %{name}.

%files -n %libkvkontakte_devel
%_kf5_includedir/Vkontakte
%_kf5_includedir/kf5vkontakte_version.h
%_kf5_libdir/cmake/KF5Vkontakte
%_kf5_libdir/*.so

#------------------------------------------------------------------------------

%prep
%setup -q -n %name

%build
export LD=/usr/bin/ld.gold 
%cmake_kf5
%make

%install
%makeinstall_std -C build


%changelog
* Thu Dec 13 2018 adrianomorselli <adrianomorselli> 15.08.0-1uplos2018
- update
